import { TextLintCore } from "textlint";
export declare type InvalidPattern = {
    textlint: TextLintCore;
    inputPath?: string;
    text?: string;
    ext?: string;
    errors: any[];
};
/**
 * @param {TextLintCore} textlint
 * @param {string} [text]
 * @param {string} [ext]
 * @param {string} [inputPath]
 * @param {*[]} errors
 */
export declare function testInvalid({ textlint, inputPath, text, ext, errors }: InvalidPattern): Promise<void>;
export declare type ValidPattern = {
    textlint: TextLintCore;
    inputPath?: string;
    text?: string;
    ext?: string;
};
/**
 * @param {TextLintCore} textlint
 * @param {string} [inputPath]
 * @param {string} [text]
 * @param {string} [ext]
 */
export declare function testValid({ textlint, inputPath, text, ext }: ValidPattern): Promise<void>;
